Bug 730039 - CONFIG_BLK_DEV_IDE_PMAC needs be either disabled or set to 'm'
Summary: CONFIG_BLK_DEV_IDE_PMAC needs be either disabled or set to 'm'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: powerpc
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 15:37 UTC by Karsten Hopp
Modified: 2011-08-22 12:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 12:24:21 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2011-08-11 15:37:14 UTC
Description of problem:
the ide_pmac driver is currently built into the PPC* kernel, This driver takes precedence over the pata-pci-macio driver which results in CDROMs being detected as /dev/hda on Apple hardware. Anaconda and udev/dracut have problems with that.
I've built a custom kernel with ide_pmac completely disabled and now the CDROM gets detected as /dev/sr0 like on all other archs.

before:
# lspci -k

[    3.637343] hda: PIONEER DVD-RW DVR-107D, ATAPI CD/DVD-ROM drive
[   16.818826] ide-cd: hda: ATAPI 63X DVD-ROM DVD-R CD-R/RW drive, 2000kB Cache
[   16.818846] cdrom: Uniform CD-ROM driver Revision: 3.20

after:
[    7.648655] scsi 4:0:0:0: CD-ROM PIONEER  DVD-RW  DVR-107D A707 PQ: 0 ANSI: 5
[    7.660752] sr0: scsi3-mmc drive: 62x/62x writer cd/rw xa/form2 cdda tray
[    7.663084] cdrom: Uniform CD-ROM driver Revision: 3.20
[    7.667317] sr 4:0:0:0: Attached scsi CD-ROM sr0


Version-Release number of selected component (if applicable):
kernel-3.0.1-5

Comment 1 Josh Boyer 2011-08-11 20:38:02 UTC
I'll get this rolled into the next f16 and rawhide builds.

Comment 2 Josh Boyer 2011-08-12 12:30:37 UTC
This is fixed in rawhide and the changes are committed to f16.  Do you need an f16 build to shadow soon, or can you wait for 3.0.2 to be released?

Comment 3 Karsten Hopp 2011-08-12 13:22:15 UTC
I can wait as I have a scratch build with that change that I can use for now.

Comment 4 Josh Boyer 2011-08-22 12:24:21 UTC
This should be fixed in the latest f16 builds.


Note You need to log in before you can comment on or make changes to this bug.